Page MenuHomePhabricator

Request to add alaasarhan to the wmde LDAP group
Closed, ResolvedPublic

Description

I’m employed at WMDE as a developer and would like to be added to the ldap/wmde group.
My Wikitech username is Alaa Sarhan, and my shell username is alaasarhan.

I need to

  • sign NDA with WMF legal for LDAP access
  • get added to ldap/wmde

https://tools.wmflabs.org/ldap/user/alaasarhan

Details

Related Gerrit Patches:
operations/puppet : productionadmins: add Alaa Sarhan to ldap_only admins

Event Timeline

alaa_wmde created this task.Feb 1 2019, 1:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 1 2019, 1:33 PM
alaa_wmde removed alaa_wmde as the assignee of this task.Feb 1 2019, 1:36 PM
Legoktm renamed this task from Request to be added to the ldap/wmde group to Request to add alaasarhan to the wmde LDAP group.Feb 1 2019, 4:29 PM
Legoktm updated the task description. (Show Details)

As an Engineering Manager at WMDE, I endorse this request.

@alaa_wmde - Happy to create an NDA for you. I couldn't find contact info on the WMDE site. Could you share your email address so that I can send the document to you for electronic signature? Thanks!

@Dzahn @RStallman-legalteam WMDE website is not yet updated indeed, apologies for that.

For NDA please email address as registered with LDAP account, as seen at the linked page https://tools.wmflabs.org/ldap/user/alaasarhan

Dzahn triaged this task as Medium priority.Feb 4 2019, 5:41 PM

The NDA is signed and on file now. All set to move forward. Thanks!

Dzahn claimed this task.Feb 6 2019, 5:54 PM

Mentioned in SAL (#wikimedia-operations) [2019-02-06T18:01:31Z] <mutante> LDAP - adding alaasarhan to wmde (T215066)

Dzahn updated the task description. (Show Details)Feb 6 2019, 6:01 PM

Change 488520 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] admins: add Alaa Sarhan to ldap_only admins

https://gerrit.wikimedia.org/r/488520

Change 488520 merged by Dzahn:
[operations/puppet@production] admins: add Alaa Sarhan to ldap_only admins

https://gerrit.wikimedia.org/r/488520

Dzahn closed this task as Resolved.Feb 6 2019, 6:08 PM

Thanks @RStallman-legalteam , going ahead.

@alaa_wmde Done, i added you. Things should work now.